Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Po Lu <[email-masked]>
Date: Mon, 11 Oct 2021 20:49:23 +0800

martin rudalics <[email-masked]> writes:

> The purpose of the patch is to allow dragging the secondary selection
> with the mouse when the cursor crosses the tool bar on Lucid.  When,
> during mouse tracking, we leave the initial window, we use an exit
> strategy that samples the mouse position and scrolls the window
> accordingly.  I'd first like to know whether it works for the secondary
> selection.  If so, we should be able to fix 'mouse-drag-track' in a
> similar way.

Thanks, with your explanation it does seem to work now, but if the mouse
is released over the toolbar then it seems to never stop tracking the
mouse, unless I click it again.